PostgreSQL 9.1.2 Documentation
Prev | Up |  | Next

# CREATE GROUP

## Name

CREATE GROUP -- define a new database role

## Synopsis

    CREATE GROUP name [ [ WITH ] option [ ... ] ]

    where option can be:

          SUPERUSER | NOSUPERUSER
        | CREATEDB | NOCREATEDB
        | CREATEROLE | NOCREATEROLE
        | CREATEUSER | NOCREATEUSER
        | INHERIT | NOINHERIT
        | LOGIN | NOLOGIN
        | [ ENCRYPTED | UNENCRYPTED ] PASSWORD 'password'
        | VALID UNTIL 'timestamp'
        | IN ROLE role_name [, ...]
        | IN GROUP role_name [, ...]
        | ROLE role_name [, ...]
        | ADMIN role_name [, ...]
        | USER role_name [, ...]
        | SYSID uid

## Description

`CREATE GROUP` is now an alias for CREATE ROLE.

## Compatibility

There is no `CREATE GROUP` statement in the SQL standard.

## See Also

CREATE ROLE

Prev | Home | Next
CREATE FUNCTION | Up | CREATE INDEX